Yuki Platform API Prod

Portal User

Operations related to portal users

Get All Portal Users

This endpoint retrieves basic information about users by Portal id. You should have yukiapi:portal:users:read scope to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/users

Query Parameters

offsetinteger

The number of items to skip before starting to collect the result set

limitinteger

The numbers of items to return

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Paged result of portal users

totalItemsinteger

Total number of items available

Example:100

offsetinteger

Current offset in the list

Example:10

limitinteger

Maximum number of items returned

Example:20

itemsarray[object]
Show Child Parameters
 
application/json

Create Portal User

This endpoint allows the creation of a user in the portal. Ensure the user has the necessary permissions before attempting to create a user. You should have yukiapi:portal:users:write scope to access this endpoint.

post
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/users

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Body

application/json

CreatePortalUser

firstNamestringrequired

First name of the user

lastNamestringrequired

Last name of the user

emailstring(email)required

User email

Example:john.doe@yuki.nl

languagestringrequired

The locale for the domain.
BE: nl-BE, en-US, fr-BE.
NL: en-US, nl-NL

Allowed values:nl-BEen-USfr-BEnl-NL

Example:en-US

rolestringrequired

Role of the user

Allowed values:PortalAdministratorPortalBackofficePortalDataEntry

messagestring

User message

Response

application/json

Portal user created successfully

idstring

The ID of the created user

Example:3afb7b54-6144-4561-9a29-1148006f2375

 
application/json

Search Portal Users

This endpoint allows searching for users within a specific portal by email address. Returns the user details if a match is found. Users attempting to perform this operation need to ensure they possess the necessary permissions. You should have yukiapi:portal:users:read scope to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/users/search

Query Parameters

emailstring(email)required

Email address to search for

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Portal user object

PortalUser

idstring

The user’s ID

Example:3afb7b54-6144-4561-9a29-1148006f2375

namestring

Full name of the user

Example:John Doe

emailstring(email)

User email

Example:john.doe@yuki.nl

languagestring

The locale for the domain.
BE: nl-BE, en-US, fr-BE.
NL: en-US, nl-NL

Allowed values:nl-BEen-USfr-BEnl-NL

Example:en-US

rolesarray[string]

User roles for portal users

Allowed values:PortalAdministratorPortalBackofficePortalBackofficeControllerPortalDataEntry

 
application/json

Delete Portal User by Email

This endpoint allows deleting a user from a specific portal by their email address. Users attempting to perform this operation need to ensure they possess the necessary permissions. Once deleted, the user information cannot be recovered. You should have yukiapi:portal:users:delete scope to access this endpoint.

delete
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/users/byEmail

Query Parameters

emailstring(email)required

Email address to search for

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

Portal user successfully deleted